<!-- markdownlint-disable line-length -->

# How to Cite

When using STACIE in your research, please cite the STACIE paper in any resulting publication.
The reference is provided in several formats below:

## Main STACIE Paper

This paper introduces STACIE and should be cited in any publication that relies on STACIE.
The manuscript has been submitted to The Journal of Chemical Information and Modeling,
and the citation records below will be updated when appropriate.

- BibTeX:

    ```bibtex
    @article{Toraman2025STACIE,
        title = {STable AutoCorrelation Integral Estimator (STACIE): Robust and accurate transport properties from molecular dynamics simulations},
        url = {https://arxiv.org/abs/2506.20438},
        doi = {10.48550/arXiv.2506.20438},
        publisher = {arXiv},
        author = {G\"{o}zdenur Toraman and Dieter Fauconnier and Toon Verstraelen},
        year = {2025},
        month = {jun}
    }
    ```

- EndNote

    ```text
    %0 Journal Article
    %A Toraman, Gözdenur
    %A Fauconnier, Dieter
    %A Verstraelen, Toon
    %D 2025
    %T STable AutoCorrelation Integral Estimator (STACIE): Robust and accurate transport properties from molecular dynamics simulations
    %J arXiv
    %U https://arxiv.org/abs/2506.20438
    %R 10.48550/arXiv.2506.20438
    %8 June
    ```

- RIS (ProCite, Reference Manager)

    ```text
    TY  - JOUR
    AU  - Toraman, Gözdenur
    AU  - Fauconnier, Dieter
    AU  - Verstraelen, Toon
    PY  - 2025
    TI  - STable AutoCorrelation Integral Estimator (STACIE): Robust and accurate transport properties from molecular dynamics simulations
    JO  - arXiv
    UR  - https://arxiv.org/abs/2506.20438
    DO  - 10.48550/arXiv.2506.20438
    PB  - arXiv
    DA  - June
    ER  -
    ```

## Shear Viscosity Calculations

The following paper describes in detail the calculation of shear viscosity with STACIE.

- BibTeX:

    ```bibtex
    @article{Toraman2025ShearViscosity,
        title = {Reliable Viscosity Calculation from High-Pressure Equilibrium Molecular Dynamics: Case Study of 2,2,4-Trimethylhexane.},
        author = {G\"{o}zdenur Toraman and Dieter Fauconnier and Toon Verstraelen},
        year = {2025},
        note = {in preparation}
    }
    ```

- EndNote

    ```text
    %0 Journal Article
    %A Toraman, Gözdenur
    %A Fauconnier, Dieter
    %A Verstraelen, Toon
    %D 2025
    %T Reliable Viscosity Calculation from High-Pressure Equilibrium Molecular Dynamics: Case Study of 2,2,4-Trimethylhexane.
    %Z in preparation
    ```

- RIS (ProCite, Reference Manager)

    ```text
    TY  - JOUR
    AU  - Toraman, Gözdenur
    AU  - Fauconnier, Dieter
    AU  - Verstraelen, Toon
    PY  - 2025
    TI  - Reliable Viscosity Calculation from High-Pressure Equilibrium Molecular Dynamics: Case Study of 2,2,4-Trimethylhexane.
    N1  - in preparation
    ER  -
    ```
